## GstFormat GstFormat |

## Functions

const gchar * | gst_format_get_name ()
GQuark | gst_format_to_quark ()
GstFormat | gst_format_register ()
GstFormat | gst_format_get_by_nick ()
gboolean | gst_formats_contains ()
const GstFormatDefinition * | gst_format_get_details ()
GstIterator * | gst_format_iterate_definitions ()

## Types and Values

enum | GstFormat
#define | GST_FORMAT_PERCENT_MAX
#define | GST_FORMAT_PERCENT_SCALE
struct | GstFormatDefinition

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_format_get_name ()

    const gchar *
    gst_format_get_name (GstFormat format);

### gst_format_to_quark ()

    GQuark
    gst_format_to_quark (GstFormat format);

### gst_format_register ()

    GstFormat
    gst_format_register (const gchar *nick,
                         const gchar *description);

### gst_format_get_by_nick ()

    GstFormat
    gst_format_get_by_nick (const gchar *nick);

### gst_formats_contains ()

    gboolean
    gst_formats_contains (const GstFormat *formats,
                          GstFormat format);

### gst_format_get_details ()

    const GstFormatDefinition *
    gst_format_get_details (GstFormat format);

### gst_format_iterate_definitions ()

    GstIterator *
    gst_format_iterate_definitions (void);

## Types and Values

### enum GstFormat

#### Members

GST_FORMAT_UNDEFINED |  |
GST_FORMAT_DEFAULT |  |
GST_FORMAT_BYTES |  |
GST_FORMAT_TIME |  |
GST_FORMAT_BUFFERS |  |
GST_FORMAT_PERCENT |  |

### GST_FORMAT_PERCENT_MAX

    #define GST_FORMAT_PERCENT_MAX          G_GINT64_CONSTANT (1000000)

### GST_FORMAT_PERCENT_SCALE

    #define GST_FORMAT_PERCENT_SCALE        G_GINT64_CONSTANT (10000)

### struct GstFormatDefinition

    struct GstFormatDefinition {
      GstFormat    value;
      const gchar *nick;
      const gchar *description;
      GQuark       quark;
    };